## mpgtx 1.3.1

=== man/Makefile ===
all:
	ln -sf mpgtx.1 mpgcat.1
	ln -sf mpgtx.1 mpgjoin.1
	ln -sf mpgtx.1 mpginfo.1
	ln -sf mpgtx.1 mpgsplit.1
	ln -sf mpgtx.1 mpgdemux.1
clean:
	rm mpgcat.1 mpgjoin.1 mpginfo.1 mpgsplit.1 mpgdemux.1
