=== debian/changelog ===
mpgtx (1.3.1-6) unstable; urgency=low

  * Package improvements, thanks to Jari Aalto <jari.aalto@cante.net>.
   + Closes: #670765
   + Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
   + Update to Standards-Version to 3.9.3 and debhelper to 9.
   + Add build-arch and build-indep targets; use dh_prep in rules file.
   + Update patches with "quilt refresh" to make them apply cleanly.
   + Fix copyright-refers-to-symlink-license (Lintian).
  * Added patch 30-g++4.9-fixes.patch
   + fix FTBFS issue, Closes: #812691
  * Extented patch 05-fixes-tagmp3.patch
   + fix crash, Closes: #716214
  * Added patch 40-enable-ext-compile-flags.patch
   + fixed Lintian warning about missing hardening build flags
  * Updated Standard-Version to 3.9.7, no changes needed

 -- Erik Schanze <eriks@debian.org>  Sat, 27 Feb 2016 20:02:59 +0100

mpgtx (1.3.1-5) unstable; urgency=low

  * Added 25_fix_crash_missing_audio.dpatch, (Closes: #562146)
  * Bumped Standard-Version to 3.9.1, no changes needed
  * Bumped debhelper version to 8

 -- Erik Schanze <eriks@debian.org>  Sun, 13 Feb 2011 14:02:59 +0100

mpgtx (1.3.1-4) unstable; urgency=low

  * debian/rules: Added handling of DEB_BUILD_OPTIONS, (Closes: #437584)

 -- Erik Schanze <eriks@debian.org>  Mon, 13 Aug 2007 20:47:48 +0200

mpgtx (1.3.1-3) unstable; urgency=low

  * Added 20_write_header_fix.dpatch, to fix segfault on some MPEGs,
    Closes: #410017

 -- Erik Schanze <eriks@debian.org>  Sun,  4 Mar 2007 11:35:19 +0100

mpgtx (1.3.1-2) unstable; urgency=low

  * Changed maintainers email address
  * Changed german umlauts to groff sequences in manpages
  *
  * Updated watch file

 -- Erik Schanze <eriks@debian.org>  Sat, 25 Nov 2006 23:23:55 +0100

mpgtx (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Remove upstream included patches
  * Compiled with g++4
  * Added 15_g++4_fixes.dpatch, to fix some warnings
  * Bumped Standard-Version to 3.6.2, no changes needed
  * Description line now begins lowercase (fixes lintian warning)

 -- Erik Schanze <schanzi_@gmx.de>  Thu,  7 Jul 2005 20:29:49 +0200

mpgtx (1.3-3) unstable; urgency=low

  * Fix 10_filenames_with_brackets.dpatch, it broke multiple ranges
    (Closes: #281965)
  * Added 08_suppress_info_progress: option -N now prevents repeated infos 
    on mpginfo -X (Closes: #185291)

 -- Erik Schanze <schanzi_@gmx.de>  Thu, 19 Nov 2004 21:20:15 +0100

mpgtx (1.3-2) unstable; urgency=low

  * New maintainer. Closes: #259741
  * Added dpatch and autotools support
    + as build depends in debian/control
    + in debian/rules
  * Put previous changes into dpatch files:
    + 04_debianize_configure for Debian-related changes
    + 05_fixes_tagmp3.dpatch, was previously fixed (bug #167313)
    + 06_fixes_inline.dpatch, was previously fixed
  * Added 10_filenames_with_brackets.dpatch to detect file names beginning
    with bracket. Closes: #177169
  * Added 15_fixes_compile_warnings.dpatch against ugly source code
  * Added 20_remove_semicolon_for_gcc34.dpatch, Closes: #260657
  * Added debian/watch file, thanks to DEHS team
  * Updated README.Debian
  * Bumped Standard-Version to 3.6.1, no changes needed
  * Pushed debhelper level to 4
  * Translated mpgtx(1) and tagmp3(1) into German, added debian/mpgtx.manpages 
    and modify /debian/rules for installing it

 -- Erik Schanze <schanzi_@gmx.de>  Tue, 27 Jul 2004 13:25:22 +0200

mpgtx (1.3-1) unstable; urgency=low

  * The "boy-it's-been-a-while" release.
  * New upstream version and recompile. (closes: #171286)
    + Fixes demuxer ignoring commandline arguments (closes: #136533)
  * Fixes tagmp3 error in truncating year when entered interactively
    (closes: #167313)
  * Modified configure to not test g++ version, as not only does the test no
    longer work, but it does not seem to be necessary to disable optimizations
    for g++ 3.2.

 -- Chris Danis <danish@debian.org>  Sat,  1 Feb 2003 03:15:02 -0500

mpgtx (1.1-1) unstable; urgency=low

  * The "I-hope-I'm-using-cvs-buildpackage-correctly" release.
  * New upstream version.
    + Adds large file support (>2gb files)
    + More compatibility with broken/quirky MPEG streams
    + tagmp3 now returns 0 on success, not 1 as it was before

 -- Chris Danis <danish@debian.org>  Sat,  6 Oct 2001 09:14:58 -0400

mpgtx (1.0-1) unstable; urgency=low

  * New upstream version. This fixes compilation warnings with g++-3.0 and
    a bug in the demultiplexing routines. This is the first officially
    stable release.

 -- Chris Danis <danish@debian.org>  Wed, 25 Jul 2001 13:51:00 -0400

mpgtx (0.8b-2) unstable; urgency=low

  * Compiling with -O2 instead of -O3, for some reason, makes mpgtx compile
    successfully under g++-3.0. I'm baffled, but I tested it on my own
    machine and on paer (which is where the compile failed originally). The
    Makefile now includes logic to compile with -O2 if using gcc version 3,
    and with -O3 otherwise. (Closes: #104983)

 -- Chris Danis <danish@debian.org>  Sun, 15 Jul 2001 10:58:08 -0400

mpgtx (0.8b-1) unstable; urgency=low

  * New upstream release - tagmp3 now official upstream name, and
    some segfault issues fixed.

 -- Chris Danis <danish@debian.org>  Tue, 29 May 2001 16:04:16 -0400

mpgtx (0.7b-2) unstable; urgency=low

  * Talked with upstream; mp3tag is now tagmp3 to avoid conflict with
    mp3blaster's mp3tag. Package patched as such (Closes: #98372)

 -- Chris Danis <danish@debian.org>  Fri, 25 May 2001 20:20:40 -0400

mpgtx (0.7b-1) unstable; urgency=low

  * Initial Release. (closes: #97823)

 -- Chris Danis <danish@debian.org>  Thu, 17 May 2001 11:51:00 -0400
