=== debian/control ===
Source: mpgtx
Section: sound
Priority: optional
Maintainer: Erik Schanze <eriks@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev
Standards-Version: 3.9.7
Homepage: http://mpgtx.sourceforge.net/

Package: mpgtx
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: toolbox to manipulate MPEG files (video, system, and audio)
 mpgtx is a tool to manipulate MPEG files. Its features include the
 following:
 .
   * mpgtx can currently split and join MPEG 1 video files and most
     MPEG audio files.
   * mpgtx can fetch detailed information from MPEG 1 and MPEG 2.
   * mpgtx can demultiplex MPEG 1 and MPEG 2 files (System layer, Program
     layer and Transport Layer).
   * mpgtx can add, remove and edit ID3 tags from mp3 files and rename
     mp3 files according to their ID3 tags. It reads and writes ID3v1,
     but only reads ID3v2.
 .
