=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        confflags += --devel
endif
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        confflags += --devel
else
        INSTALL_PROGRAM += -s
endif

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Make sure we use the latest autotools helpers.
	if test -f config.guess; then \
		mv config.guess config.guess.debsave; \
	fi
	ln -sf /usr/share/misc/config.guess .

	# Add here commands to configure the package.
	./configure '$(confflags)' '-prefix=$$(DESTDIR)/usr' '-manprefix=$$(DESTDIR)/usr/share'

	touch configure-stamp


build-arch: build
build-indep: build

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean

	if test -L config.guess; then \
		rm -f config.guess; \
		if test -e config.guess.debsave; then \
			mv config.guess.debsave config.guess; \
		fi; \
	fi

	# we need no Makefile.diff in *.diff.gz
	dh_clean Makefile

install: build
	dh_testdir
	dh_testroot
	dh_prep

	# Add here commands to install the package into debian/mpgtx.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/mpgtx
	ln -sf mpgtx mpgjoin
	ln -sf mpgtx mpgsplit
	ln -sf mpgtx mpgcat
	ln -sf mpgtx mpginfo
	ln -sf mpgtx mpgdemux
	ln -sf mpgtx tagmp3
	$(INSTALL_DIR) $(CURDIR)/debian/mpgtx/usr/bin
	$(INSTALL_DIR) $(CURDIR)/debian/mpgtx/usr/share/man/man1
	$(INSTALL_PROGRAM) mpgtx $(CURDIR)/debian/mpgtx/usr/bin
	cp -df mpgdemux mpgjoin mpgcat mpginfo mpgsplit tagmp3 $(CURDIR)/debian/mpgtx/usr/bin
	$(INSTALL_FILE) man/mpgtx.1 man/tagmp3.1 $(CURDIR)/debian/mpgtx/usr/share/man/man1
	cd man ; $(MAKE)
	cd ..
	cp -df ./man/mpgdemux.1 ./man/mpgjoin.1 man/mpgsplit.1 man/mpgcat.1 man/mpginfo.1 \
                        $(CURDIR)/debian/mpgtx/usr/share/man/man1



# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs ChangeLog
	dh_link usr/share/man/de/man1/mpgtx.1 usr/share/man/de/man1/mpgsplit.1 \
		usr/share/man/de/man1/mpgtx.1 usr/share/man/de/man1/mpgcat.1 \
		usr/share/man/de/man1/mpgtx.1 usr/share/man/de/man1/mpgjoin.1 \
		usr/share/man/de/man1/mpgtx.1 usr/share/man/de/man1/mpginfo.1 \
		usr/share/man/de/man1/mpgtx.1 usr/share/man/de/man1/mpgdemux.1 
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure do-clean
