=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/mpgtx/ mpgtx-(.*)(?:\.tar(?:\.gz|\.bz2)?|\.tgz) debian uupdate
